Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.web
Class WicketFilter

    java.lang.Object
      org.jboss.seam.web.AbstractFilter
          org.jboss.seam.web.WicketFilter

All Implemented Interfaces:
  javax.servlet.Filter

    @Scope(value=APPLICATION)
    @Name(value="org.jboss.seam.web.wicketFilter")
    @Install(precedence=0,
             dependencies="org.jboss.seam.wicket.web.wicketFilterInstantiator")
    @BypassInterceptors
    @Filter(within="org.jboss.seam.web.hotDeployFilter")
    public class WicketFilter

extends AbstractFilter

Constructor Summary
`WicketFilter()`

Method Summary
`void` | `doFilter(javax.servlet.ServletRequest servletRequest, javax.servlet.ServletResponse servletResponse, javax.servlet.FilterChain chain)`
`String` | `getApplicationClass()`
`String` | `getApplicationFactoryClass()`
`void` | `init(javax.servlet.FilterConfig filterConfig)`
`boolean` | `isDetectPortletContext()`
`void` | `postReInitialization()`
`void` | `setApplicationClass(String applicationClassName)`
`void` | `setApplicationFactoryClass(String applicationFactoryClass)`
`void` | `setDetectPortletContext(boolean detectPortletContext)`

Methods inherited from class org.jboss.seam.web.AbstractFilter
`destroy, getRegexUrlPattern, getServletContext, getUrlPattern, isDisabled, isMappedToCurrentRequestPath, setDisabled, setRegexUrlPattern, setUrlPattern`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WicketFilter

    public WicketFilter()

Method Detail

### postReInitialization

    @Observer(value={"org.jboss.seam.postInitialization","org.jboss.seam.postReInitialization"})
    public void postReInitialization()

### doFilter

    public void doFilter(javax.servlet.ServletRequest servletRequest,
                         javax.servlet.ServletResponse servletResponse,
                         javax.servlet.FilterChain chain)
                  throws IOException,
                         javax.servlet.ServletException

  Throws:
    `IOException`
    `javax.servlet.ServletException`

### init

    public void init(javax.servlet.FilterConfig filterConfig)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Overrides:
    `init` in class `AbstractFilter`
  Throws:
    `javax.servlet.ServletException`

### getApplicationClass

    public String getApplicationClass()

### setApplicationClass

    public void setApplicationClass(String applicationClassName)

### getApplicationFactoryClass

    public String getApplicationFactoryClass()

### setApplicationFactoryClass

    public void setApplicationFactoryClass(String applicationFactoryClass)

### isDetectPortletContext

    public boolean isDetectPortletContext()

### setDetectPortletContext

    public void setDetectPortletContext(boolean detectPortletContext)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.